%
% bsim_nextsubjrun.m
%
% Batch simulation script that runs the next run for the current subject.
%
% Last modification: 10/24/07


% Remember that we're not starting with a fresh model.
fresh_model = 0;

% Increment the run number.
run_num = run_num + 1;

% Set the path.
bsim_setdatapath;

% Prompt on whether to proceed.
prompt_str = strcat('About to do run ',num2str(run_num),' in\n', ...
    path_name,'\nProceed? (1=yes) ');
proceed = input(prompt_str);
if (proceed ~= 1)
    disp('aborted');
    run_num = run_num - 1;
    return;
end;

% Do the run.
run_pantilt_sim;
save_simrun;