%
% bsim_xx2.m
%
% Batch simulation place-holder function.
%
% Last modification: 10/19/07


% Set range of runs.
first_run = 1;
last_run = 4;

% Set path for new subject and make the directory.
runcoll_path = runcoll_pilot;
taskset_path = taskset_TOBS1c_TOBS1crev;
simphases_path = simphases_maint;
manip_path = manip_normal;
subj_num = 1;
run_num = 1;
bsim_setdatapath;
mkdir(path_name);

% Create a new subject by ... (should go in different script)
% simphases_path = simphases_train;
% manip_path = manip_normal;
% bsim_setdatapath;
% run_num = 1;
% trained_modl_file = strcat(path_name,run_pfx,'modl_parm_tr.mat')

% Copy the right subject model over into the working directory.
sfname = strcat(path_pfx1,path_pfx2,path_pfx3,path_pfx4,'subjs/', ...
    'subj',num2str(subj_num),'_modl.mat');
tfname = strcat(train_model_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The subject file doesn''t exist.');
end;

% Remember that we're not starting with a fresh model.
fresh_model = 0;

% Run all of the maintenance runs.
for xx = first_run:last_run
    run_num = xx;
    bsim_setdatapath;
    run_pantilt_sim;
    save_simrun;
end;