%
% fetchps_unit_activ_alliters.m
%
% Get the activations of a unit selected by by area_ind,
% x_ind, and y_ind.  Output is activ_trace (and also unit_ind).  Use 
% after a simulation run.
%
% Depends on: area_ind, x_ind, y_ind, output, Area_xy
%
% Last modification: 6/6/07

% Find the unit index.
lo_bound = 1;
for xx_fuaa = 1:area_ind - 1
    lo_bound = lo_bound + Area_xy(xx_fuaa,3);
end;
unit_ind = lo_bound + (x_ind - 1) * Area_xy(area_ind,2) + y_ind - 1;

% Grab the activations we're interested in.
activ_trace = output(unit_ind,:);