
    % Load simulation run parameters.
    load sim_run_params;

    % Load the physical parameters and the model and write them into the 
    % handles.
    load(phys_fname);
    handles.thresh = thresh;
    handles.gain = gain;
    handles.namp = namp;
    handles.outtimeconst = outtimeconst;
    handles.DA_out_mod = DA_out_mod;
    handles.hi_DA_thresh = hi_DA_thresh;
    handles.hi_DA_gain = hi_DA_gain;
    handles.VI = VI;
    handles.inhib = inhib;
    handles.MOD = MOD;
    handles.eligib_duration = eligib_duration;
    handles.eligib_pre_thresh = eligib_pre_thresh;
    handles.eligib_post_thresh = eligib_post_thresh;
    handles.DA_plastic_hi_thresh = DA_plastic_hi_thresh;
    handles.DA_plastic_lo_thresh = DA_plastic_lo_thresh;
    handles.DA_LTP_hi = DA_LTP_hi;
    handles.LTP_learnrate = LTP_learnrate;
    handles.LTD_learnrate = LTD_learnrate;
    handles.maxwt = maxwt;
    load(start_model_fname);   % untrained model
%    load(train_model_fname);  % trained model
    handles.Model_name = Model_name;
    handles.Num_areas = Num_areas;
    handles.Num_conns = Num_conns;
    handles.Area_name = Area_name;
    handles.Area_num = Area_num;
    handles.Cell_type = Cell_type;
    handles.Area_xy = Area_xy;
    handles.Conn_name = Conn_name;
    handles.Conn_fromto = Conn_fromto;
    handles.Chan_type = Chan_type;
    handles.Conn_kind = Conn_kind;
    handles.Conn_xy = Conn_xy;
    handles.Conn_prob = Conn_prob;
    handles.Weig_mean = Weig_mean;
    handles.Weig_sigm = Weig_sigm;
    handles.Conn_scle = Conn_scle;
    handles.CA = CA;
    handles.CW = CW;
    handles.CR = CR;
    handles.CH = CH;
    handles.CT = CT;
    handles.NC = NC;
    handles.NU = NU;
    handles.unit_offset = unit_offset;

    % Load the simulation data and write it into the handles.
    load(cogmodel_out_fname);
    handles.output = output;
    handles.mdc = mdc;
    handles.modCW = modCW;
    handles.num_iters = num_iters;