%
% revert_modl_parm.m
%
% Revert to the backup or previous saved version of the trained file
% params.
%
% Last modification: 6/12/07


% Clear all variables and close all windows.
% clear all;
% close all;

% Load simulation run parameters.
load sim_run_params;

% Try to copy the backup or previous file to the trained file params.
sfname = strcat(backup_model_fname,'.mat');
% sfname = strcat(prev_train_model_fname,'.mat');
tfname = strcat(train_model_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The source file doesn''t exist.');
end;