%
% save_modl_parm.m
%
% Back up the current saved model weights if we have a saved trained model
% parm file.
%
% Last modification: 6/12/07


% Clear all variables and close all windows.
% clear all;
% close all;

% Load simulation run parameters.
load sim_run_params;

% Try to copy the file to the backup file.
sfname = strcat(train_model_fname,'.mat');
tfname = strcat(backup_model_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The train_model params file doesn''t exist.');
end;