------------------------------------------
 Code Notes for Dissertation (Parameters)
------------------------------------------

George Chadderdon

Updated: 6/14/07

Physiological Model Persistent Parameters  
=========================================

These get saved in phys_parm_1 by phys_initX.m.  The last parameters are 
parameters of the saxophone learning function (not used at the moment).

thresh (1 x #celltypes): threshold of the output sigmoid
gain (1 x #celltypes): gain of the output sigmoid
namp (1 x #celltypes): noise amplitude added to input signals
outtimeconst (1 x #celltypes): time constant for output function
kWTA (1 x #celltypes): k for winners-take-all dynamic sigmoid adjustment
DA_out_mod (1 x #celltypes): does dopamine modulate output function? 
    (1 = yes)
DA_thresh_eff (1 x #celltypes): DA threshold effect on output sigmoid
DA_gain_eff (1 x #celltypes): DA gain effect on output sigmoid
VI (1 x #channeltypes): is the channel voltage-independent? (1 = yes)
MOD (1 x #channeltypes): does the channel have learning? (1 = yes)
eligib_duration (1 x #channeltypes): duration of eligibility trace 
    (in ???)
eligib_pre_thresh (1 x #channeltypes): pre-synaptic threshold for 
    eligibility trace
eligib_post_thresh (1 x #channeltypes): post-synaptic threshold for 
    eligibility trace
DA_plastic_hi_thresh (1 x #channeltypes): threshold for hi DA threshold
DA_plastic_lo_thresh (1 x #channeltypes): threshold for lo DA threshold   
DA_LTP_hi (1 x #channeltypes): is the LTP threshold the hi one? (1 = yes)   
LTP_learnrate (1 x #channeltypes): the LTP learning rate
LTD_learnrate (1 x #channeltypes): the LTD learning rate 
maxwt (1 x #channeltypes): maximum weight


Model Init Persistent Parameters  
================================

These get saved in modl_parm_1 by modl_initX.m.

Model_name (1 x string): the name of the whole model
Num_areas: # areas in model
Num_conns: # connection fascicles in model
Area_name (#areas x string): names of each area
Area_num (1 x #areas): ID numbers for each area
Cell_type (1 x #areas): celltype number for each area
Area_xy (#areas x 3): X, Y, X*Y sizes for each area
Conn_name (#fascicles x string): names of each fascicle
Conn_fromto (#fascicles x 2): from, to area indices for each fascicle
Chan_type (1 x #fascicles): channeltype number for each fascicle
Conn_kind (#fascicles x string): names of connectivity type for each 
    fascicle (e.g. 'topo', 'unif')
Conn_xy (#fascicles x 2): X, Y region size for each fascicle
Conn_prob (1 x #fascicles): connection probability for each fascicle
Weig_mean (1 x #fascicles): weight mean for each fascicle
Weig_sigm (1 x #fascicles): weight stdev for each fascicle
Conn_scle (1 x #fascicles): weight scale factor for each fascicle
CA (2 x #connections): target, source addresses for each output cell of each 
    connection
CW (1 x #connections): weight of each connection
CR (1 x #outcellsinfascicles): arbor size for each output cell of each fascicle
CH (1 x #connections): channeltype of each connection
CT (1 x #cells): celltype of each cell
NC (1 x #fascicles): # connections in each fascicle
NU (1 x #areas): # units in each cell area
unit_offset (1 x #areas): address offset for each cell area