%
% lesion_wts.m
%
% Lesion (i.e. set to 0) the connection weights in a certain fascicle.
% fasc_ind selects the fascicle.  
%
% Depends on: fasc_ind, lesion_val, NC, CW
%
% Last modification: 6/4/07

% Find the index for the first connection of the desired fascicle.
first_conn_ind = 1;
for xx = 1:fasc_ind - 1
    first_conn_ind = first_conn_ind + NC(xx);
end;

% Set the weights for the desired fascicle.
CW(first_conn_ind:first_conn_ind + NC(fasc_ind) - 1) = lesion_val;