%
% sigm.m
%
% Function of a sigmoid.
%
% Inputs:
%   offset: the threshold x of the sigmoid
%   gain: the gain (steepness) of the sigmoid
%   x: the value to be passed into the sigmoid
%
% Last modification: 10/15/04

function  [y] = sigm(offset,gain,x)

    % sigmoidal function for cell activities
    y = 1./(1+exp(-gain.*(x-offset)));