%
% stim_make.m
%
% Use interactive point-and-clicking to create a stimulus shape for use in 
% the simulations.
%
% Last modification: 6/25/06

stim_width = 16;
stim_height = 16;
stim_shape = ones(stim_height,stim_width);

button = 0;
while (button ~= 27)
    colormap(gray);
    imagesc(stim_shape, [0 1]);
    [x,y,button] = ginput(1);
    
    if (button ~= 27)
        change_x = round(x);
        change_y = round(y);
        if (stim_shape(change_y,change_x) == 1)
            stim_shape(change_y,change_x) = 0;
        else
            stim_shape(change_y,change_x) = 1;
        end;
    end;
end;

disp('Final stimulus...');
stim_shape

% Should do a save _fname_ stim_shape to save the stimulus to a file...